Subject: [PATCH 1/6] i2c/pxa2xx: Don't touch ISAR on X86

From: [email-masked] (Sebastian Andrzej Siewior)
Date: Fri, 03 Dec 2010 19:17:04 +0100

Ben Dooks wrote:
>> +#ifndef CONFIG_X86
>>  	writel(i2c->slave_addr, _ISAR(i2c));
>> +#endif

> I'd prefer some way of changing based on either the device name (see
> some other drivers which bind on multiple names) to define things such
> as this, as well as possibly changing the register layout.

Okay, I will hide this ISAR access a platform_device_id id.

Do you want me to also change the register access? This would be a
intrusive patch since I would have to touch every readl()/writel() line
in this file.

Sebastian